For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
    • POSTResolve ID Token
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
      • GETList Asset Folders
      • POSTCreate Asset Folder
      • GETGet Asset Folder
  • Comments
    • GETSearch Users by Email
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
    • POSTCreate Comment Reply
  • Ecommerce
  • Webhooks
  • Site Configuration
  • Enterprise
  • App Subscriptions
    • GETGet app subscriptions
LogoLogo
Resources
Get started
AssetsAsset Folders

Get Asset Folder

GET
https://api.webflow.com/beta/asset_folders/:asset_folder_id
GET
/beta/asset_folders/:asset_folder_id
$curl https://api.webflow.com/beta/asset_folders/6390c49774a71f0e3c1a08ee \
> -H "Authorization: Bearer <token>"
1{
2 "id": "6390c49774a71f0e3c1a08ee",
3 "displayName": "emoji icons",
4 "parentFolder": "6390c49774a71f99f21a08eb",
5 "assets": [
6 "63e5889e7fe4eafa7384cea4",
7 "659595234426a9fcbad57043"
8 ],
9 "siteId": "6390c49674a71f84b51a08d8",
10 "createdOn": "2018-10-14T21:55:49.063Z",
11 "lastUpdated": "2022-12-07T16:51:37.571Z"
12}

Get details about a specific Asset Folder

Required scope | assets:read

Was this page helpful?
Previous

Search Users by Email

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

asset_folder_idstringRequiredformat: "objectid"
Unique identifier for an Asset Folder

Response

Request was successful
idstringformat: "objectid"
Unique identifier for the Asset Folder
displayNamestring
User visible name for the Asset Folder
parentFolderstring

Pointer to parent Asset Folder (or null if root)

assetslist of strings
Array of Asset instances in the folder
siteIdstringformat: "objectid"
The unique ID of the site the Asset Folder belongs to
createdOnstringformat: "date-time"
Date that the Asset Folder was created on
lastUpdatedstringformat: "date-time"
Date that the Asset Folder was last updated on

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error